<dx-data-grid class="gridContainer box-shadow" #gridTax [columnAutoWidth]='true' [allowColumnResizing]='true'
    [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled'
    [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines' [dataSource]='dsTax'
    [height]='ui.fullHeight' (onToolbarPreparing)='toolbarPreparing($event)'>
    <dxo-export [enabled]='true' [enabled]='true' fileName='tax'></dxo-export>
    <dxo-header-filter [visible]='true'></dxo-header-filter>
    <dxo-group-panel [visible]='true'></dxo-group-panel>
    <dxo-search-panel [visible]='true'></dxo-search-panel>
    <dxo-state-storing [enabled]="true" type="localStorage" storageKey="qhseTax"></dxo-state-storing>
    <dxo-filter-row [visible]='true'></dxo-filter-row>
    <dxo-column-chooser [enabled]="true" mode='dragAndDrop'></dxo-column-chooser>
    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>

    <dxi-column type="buttons" [width]="110" fixedPosition='left' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false'>
        <dxi-button hint='Editează' icon="edit" [onClick]="onEditTaxClick"></dxi-button>
        <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteTaxClick"></dxi-button>
    </dxi-column>

    <dxi-column caption='Nr transport' dataField='t_no' dataType='string' [allowHeaderFiltering]='false'>
    </dxi-column>
    <dxi-column caption='Data' dataField='t_sendDate' dataType='date' calculateSortValue='t_sendDate'
        [calculateDisplayValue]='ds.getDate'>
    </dxi-column>
    <dxi-column caption='Entitate' dataField='ent_name' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column caption='Punct de lucru' dataField='wc_name' dataType='string' [allowHeaderFiltering]='false'>
    </dxi-column>
    <dxi-column caption='Valoare' dataField='t_value' dataType='number' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column caption='Data efectuare plată' dataField='t_payDate' dataType='date' calculateSortValue='t_payDate'
        [calculateDisplayValue]='ds.getDate'>
    </dxi-column>
    <dxi-column caption='Observații' dataField='t_observation' dataType='string' [allowHeaderFiltering]='false'>
    </dxi-column>
    <dxi-column caption='Asociată unui transport' dataField='t_perTransport' dataType='boolean' minWidth='170'> </dxi-column>
    <dxi-column caption='Transport' dataField='transportNo' dataType='string'></dxi-column>
    <dxi-column caption='Transport inclus' dataField='t_costIncluded' dataType='boolean' minWidth='170'> </dxi-column>
    <!-- <dxi-column cellTemplate='actions' fixedPosition='right' [fixed]='true' [allowResizing]='false' [showInColumnChooser]='false'
        [width]='96'>
        <div *dxTemplate="let data of 'actions'" id="actionsColumn">
            <div (click)="onUpdate(1, data)" style='margin-left: 25px' class="dx-link dx-icon dx-icon-edit dx-success custom" title='Edit'></div>
            <div (click)="onUpdate(2, data)" class="dx-link dx-icon dx-icon-trash dx-danger custom" title='Remove'></div>
        </div>
    </dxi-column> -->

</dx-data-grid>


<dx-popup [(visible)]='isTaxVisible' [minWidth]='ui.minWidthPopup' width='auto' maxWidth='90vw'
    (onShown)='ui.onPopupShown($event)' (onHidden)='ui.onPopupHidden($event)' height='auto' title='Taxe'>
    <div *dxTemplate="let data of 'content'">
        <dx-scroll-view [height]='ui.scrollHeight' direction="vertical" showScrollbar='always' [useNative]='false'>
            <app-edit-tax [taxData]='tax'></app-edit-tax>
        </dx-scroll-view>
    </div>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton"
        [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: onTaxSave, validationGroup:'taxValidation' }">
    </dxi-toolbar-item>
</dx-popup>